WGET(1)

JMÉNO
wget - neinteraktivní nástroj k stahování souborů

POUŽITÍ
wget [volba]... [URL]...

POPIS
GNU Wget je nástroj pro neinteraktivní stahování souborů z WWW. Podporuje protokoly HTTP, HTTPS, a FTP, i stahování přes HTTP proxy.

Wget je neinteraktivní program, což znamená, že dovede pracovat na pozadí, i když není uživatel přihlášen. Lze tedy spustit program, odhlásit se a počkat, až dodělá určenou práci. Naopak většina www prohlížečů vyžaduje neustálou přítomnost uživatele, což může být v případě přenosu většího množství dat na obtíž.

Wget can follow links in HTML, XHTML, and CSS pages, to create local versions of remote web sites, fully recreating the directory structure of the original site. This is sometimes referred to as "recursive downloading." While doing that, Wget respects the Robot Exclusion Standard (/robots.txt). Wget can be instructed to convert the links in downloaded files to point at the local files, for offline viewing.

Wget byl navržen pro robustnost na pomalých nebo nestabilních sítových připojeních; pokud stahování selže kvůli problému v síti, bude to zkoušet znovu, dokud jej nestáhne celý. Pokud server podporuje obnovení stahování (regetting), požádá jej o obnovení stahování v místě, kde předtím skončil.

VOLBY

  Syntaxe voleb
Protože Wget používá ke zpracování argumentů příkazové řádky GNU getopt, má každá volba dlouhou a krátkou formu. Dlouhé se lépe pamatují, ale zdržují při psaní. Je možné obě formy libovolně kombinovat nebo uvádět volby za argumenty příkazové řádky. Tak je možné napsat:

 wget -r --tries=10 http://fly.srk.fer.hr/ -o log

Mezeru mezi volbou, která akceptuje argument, a argumentem lze vypustit. Namísto -o log lze napsat -olog.

Volby, které argument nevyžadují, je možné sloučit, jako:

 wget -drc <URL>

To je rovnocenné zápisu:

 wget -d -r -c <URL>

Protože volby je možné uvést za argumenty, můžete argumenty ukončit s --. Tj. následující zápis se pokusí stáhnout URL -x, selhání zapíše do log:

 wget -o log -- -x

Volby, které akceptují seznamy oddělené čárkou respektují konvenci, že určení prázdného seznamu vymaže jeho hodnotu. To lze využít pro zrušení nastavení z .wgetrc. Například pokud .wgetrc nastavuje "exclude_directories" na /cgi-bin, následující příklad je nejprve vymaže a potom nastaví na vyloučení /~nobody a /~somebody. Seznamy je také možno vymazat ve .wgetrc.

 wget -X "" -X /~nobody,/~somebody

Většina voleb, které neakceptují argumenty, jsou booleovské volby, protože jejich stav lze zachytit jako ano nebo ne ("booleovskou proměnnou"). Například --follow-ftp nastaví Wget, aby následoval FTP odkazy z HTML souborů a na druhou stranu --no-glob mu přikazuje neprovádět globbing souborů na FTP URLs. Booleovská volba je buďto kladná nebo záporná (začínající na --no). Všechny takové volby mají některé vlastnosti společné.

Pokud není řečeno jinak, předpokládá se, že výchozí chování je opačné k uvedené volbě. Například z toho, že existuje volba --follow-ftp, vyplývá, že výchozím chováním je nenásledovat FTP odkazy z HTML stránek.

Affirmative options can be negated by prepending the --no- to the option name; negative options can be negated by omitting the --no- prefix. This might seem superfluous---if the default for an affirmative option is to not do something, then why provide a way to explicitly turn it off? But the startup file may in fact change the default. For instance, using "follow_ftp = on" in .wgetrc makes Wget follow FTP links by default, and using --no-follow-ftp is the only way to restore the factory default from the command line.

  Základní volby

-V
--version
    Zobrazí se verze Wget.

-h
--help
    Vypíše nápovědu, popisující všechny volby příkazové řádky programu Wget.

-b
--background
    Okamžitě po spuštění se přepne na pozadí. Pokud není volbou -o určen žádný soubor pro výstup, je výstup přesměrován do wget-log.

-e příkaz
--execute příkaz
    Spustí se příkaz, jako kdyby to byla část souboru .wgetrc. Příkaz vyvolaný touto cestou bude mít přednost před příkazy z .wgetrc. Pokud je třeba určit více příkazů, použije se více instancí volby -e.

  Logování a volby vstupních souborů

-o logfile
--output-file=logfile
    Zapisuj všechny zprávy do logfile. Tyto zprávy jsou normálně zapisovány na standardní chybový výstup.

-a logfile
--append-output=logfile
    Připoj do logfile. To samé jako -o, ale logfile pouze připojuje, starý soubor nesmaže. Pokud logfile neexistuje, vytvoří nový.

-d
--debug
    Turn on debug output, meaning various information important to the developers of Wget if it does not work properly. Your system administrator may have chosen to compile Wget without debug support, in which case -d will not work. Please note that compiling with debug support is always safe---Wget compiled with the debug support will not print any debug info unless requested with -d.

-q
--quiet
    Tichý režim, žádný výstup.

-v
--verbose
    Upovídaný výstup, se všemi dostupnými daty. Když je použit běžný výstup, upovídanost je standardně nastavena.

-nv
--no-verbose
    Vypne upovídanost, aniž by byl zcela tichý (k tomu slouží -q), takže jsou tištěna chybová hlášení a základní informace.

--report-speed=typ
    Output bandwidth as type. The only accepted value is bits.

-i soubor
--input-file=soubor
    Read URLs from a local or external file. If - is specified as file, URLs are read from the standard input. (Use ./- to read from a file literally named -.)

    If this function is used, no URLs need be present on the command line. If there are URLs both on the command line and in an input file, those on the command lines will be the first ones to be retrieved. If --force-html is not specified, then file should consist of a series of URLs, one per line.

    Nicméně, když určíte --force-html, na dokument se bude pohlížet jako na HTML. V tomto případě můžou nastat problémy s relativními odkazy, což lze vyřešit buď přidáním "<base href="url">" do dokumentu nebo blíže určit --base=url v příkazové řádce.

    If the file is an external one, the document will be automatically treated as html if the Content-Type matches text/html. Furthermore, the file's location will be implicitly used as base href if none was specified.

--input-metalink=soubor
    Downloads files covered in local Metalink file. Metalink version 3 and 4 are supported.

--keep-badhash
    Keeps downloaded Metalink's files with a bad hash. It appends .badhash to the name of Metalink's files which have a checksum mismatch, except without overwriting existing files.

--metalink-over-http
    Issues HTTP HEAD request instead of GET and extracts Metalink metadata from response headers. Then it switches to Metalink download. If no valid Metalink metadata is found, it falls back to ordinary HTTP download. Enables Content-Type: application/metalink4+xml files download/processing.

--metalink-index=počet
    Set the Metalink application/metalink4+xml metaurl ordinal NUMBER. From 1 to the total number of "application/metalink4+xml" available. Specify 0 or inf to choose the first good one. Metaurls, such as those from a --metalink-over-http, may have been sorted by priority key's value; keep this in mind to choose the right NUMBER.

--preferred-location
    Set preferred location for Metalink resources. This has effect if multiple resources with same priority are available.

--xattr
    Enable use of file system's extended attributes to save the original URL and the Referer HTTP header value if used.

    Be aware that the URL might contain private information like access tokens or credentials.

-F
--force-html
    Když je použit vstup ze souboru, je soubor považován za HTML. Tato možnost povolí získání relativních odkazů z existujících HTML souborů na vašem pevném disku přidáním "<base href="url">" do HTML nebo použitím volby --base.

-B URL
--base=URL
    Resolves relative links using URL as the point of reference, when reading links from an HTML file specified via the -i/--input-file option (together with --force-html, or when the input file was fetched remotely from a server describing it as HTML). This is equivalent to the presence of a "BASE" tag in the HTML input file, with URL as the value for the "href" attribute.

    For instance, if you specify http://foo/bar/a.html for URL, and Wget reads ../baz/b.html from the input file, it would be resolved to http://foo/baz/b.html.

--config=SOUBOR
    Specify the location of a startup file you wish to use instead of the default one(s). Use --no-config to disable reading of config files. If both --config and --no-config are given, --no-config is ignored.

--rejected-log=logfile
    Logs all URL rejections to logfile as comma separated values. The values include the reason of rejection, the URL and the parent URL it was found in.

  Volby pro stahování

--bind-address=ADRESA
    When making client TCP/IP connections, bind to ADDRESS on the local machine. ADDRESS may be specified as a hostname or IP address. This option can be useful if your machine is bound to multiple IPs.

--bind-dns-address=ADRESA
    [libcares only] This address overrides the route for DNS requests. If you ever need to circumvent the standard settings from /etc/resolv.conf, this option together with --dns-servers is your friend. ADDRESS must be specified either as IPv4 or IPv6 address. Wget needs to be built with libcares for this option to be available.

--dns-servers=ADDRESSES
    [libcares only] The given address(es) override the standard nameserver addresses, e.g. as configured in /etc/resolv.conf. ADDRESSES may be specified either as IPv4 or IPv6 addresses, comma-separated. Wget needs to be built with libcares for this option to be available.

-t počet
--tries=počet
    Set number of tries to number. Specify 0 or inf for infinite retrying. The default is to retry 20 times, with the exception of fatal errors like "connection refused" or "not found" (404), which are not retried.

-O soubor
--output-document=soubor
    Dokumenty nebudou zapisovány do příslušných souborů, ale všechny budou připojeny do jediného souboru se jménem, určeným v parametru. Když je jméno souboru určeno jako -, budou dokumenty zapisovány na standardní výstup. (Pro zápis do souboru pojmenovaného - použijte ./-.)

    Use of -O is not intended to mean simply "use the name file instead of the one in the URL;" rather, it is analogous to shell redirection: wget -O file http://foo is intended to work like wget -O - http://foo > file; file will be truncated immediately, and all downloaded content will be written there.

    For this reason, -N (for timestamp-checking) is not supported in combination with -O: since file is always newly created, it will always have a very new timestamp. A warning will be issued if this combination is used.

    Similarly, using -r or -p with -O may not work as you expect: Wget won't just download the first file to file and then download the rest to their normal names: all downloaded content will be placed in file. This was disabled in version 1.11, but has been reinstated (with a warning) in 1.11.2, as there are some cases where this behavior can actually have some use.

    A combination with -nc is only accepted if the given output file does not exist.

    Note that a combination with -k is only permitted when downloading a single document, as in that case it will just convert all relative URIs to external ones; -k makes no sense for multiple URIs when they're all being downloaded to a single file; -k can be used only when the output is a regular file.

-nc
--no-clobber
    Pokud je soubor ukládán do stejného adresáře více než jednou, závisí chování Wgetu na několika volbách, včetně -nc. V některých případech je lokální soubor přepsán (clobbered), jindy je zachován.

    When running Wget without -N, -nc, -r, or -p, downloading the same file in the same directory will result in the original copy of file being preserved and the second copy being named file.1. If that file is downloaded yet again, the third copy will be named file.2, and so on. (This is also the behavior with -nd, even if -r or -p are in effect.) When -nc is specified, this behavior is suppressed, and Wget will refuse to download newer copies of file. Therefore, ""no-clobber"" is actually a misnomer in this mode---it's not clobbering that's prevented (as the numeric suffixes were already preventing clobbering), but rather the multiple version saving that's prevented.

    When running Wget with -r or -p, but without -N, -nd, or -nc, re-downloading a file will result in the new copy simply overwriting the old. Adding -nc will prevent this behavior, instead causing the original version to be preserved and any newer copies on the server to be ignored.

    When running Wget with -N, with or without -r or -p, the decision as to whether or not to download a newer copy of a file depends on the local and remote timestamp and size of the file. -nc may not be specified at the same time as -N.

    A combination with -O/--output-document is only accepted if the given output file does not exist.

    Pozor, pokud je použita volba -nc, budou soubory s příponou .html nebo .htm nahrány z lokálního disku a zpracovány jako by byly staženy z webu.

--backups=backups
    Before (over)writing a file, back up an existing file by adding a .1 suffix (_1 on VMS) to the file name. Such backup files are rotated to .2, .3, and so on, up to backups (and lost beyond that).

--no-netrc
    Do not try to obtain credentials from .netrc file. By default .netrc file is searched for credentials in case none have been passed on command line and authentication is required.

-c
--continue
    Pokračování v příjmu částečně staženého souboru. To se hodí, pokud chcete dokončit stahování započaté předchozí instancí Wgetu nebo jiným programem. Např.:

     wget -c ftp://sunsite.doc.ic.ac.uk/ls-lR.Z

    Pokud je v aktuálním adresáři soubor s názvem ls-lR.Z, Wget bude předpokládat, že se jedná o první část vzdáleného souboru a požádá server o pokračování v přenosu od offsetu rovnému délce lokálního souboru.

    Všimněte si, že tento parametr není nutné zadávat, pokud pouze chcete, aby Wget pokračoval ve stahování souboru po přerušení spojení. To je jeho výchozí chování. -c má vliv pouze na obnovení stahování započatých před spuštěním aktuální instance Wgetu, a pokud stále ještě jsou k dispozici lokální soubory.

    Bez volby -c by předchozí příklad pouze stáhnul vzdálený soubor jako ls-lR.Z.1 a zkrácený soubor ls-lR.Z by nechal být.

    If you use -c on a non-empty file, and the server does not support continued downloading, Wget will restart the download from scratch and overwrite the existing file entirely.

    Beginning with Wget 1.7, if you use -c on a file which is of equal size as the one on the server, Wget will refuse to download the file and print an explanatory message. The same happens when the file is smaller on the server than locally (presumably because it was changed on the server since your last download attempt)---because "continuing" is not meaningful, no download occurs.

    Na druhou stranu při použití -c je jakýkoliv soubor, který je na serveru větší než soubor lokální, považován za nedokončené stahování a bude staženo a připojeno na konec lokálního souboru pouze "(délka(vzdálený) - délka(lokální))" bajtů. To se může někdy hodit---například při použití wget -c ke stažení pouze nové části připojené k souboru dat nebo logu.

    Nicméně pokud je soubor na serveru větší, protože byl změněn, na rozdíl od pouhého připojení, vznikne pokažený soubor. Wget nemá žádnou možnost ověřit, že lokální soubor je skutečně platnou částí vzdáleného souboru. Zvláštní pozornost je potřeba při použití -c spolu s -r, protože každý soubor bude považován za potenciální "nedokončené stahování".

    Dalším případem, kdy dojde s volbou -c k poškození souboru je hloupá HTTP proxy vkládající do lokálního souboru řetězec "transfer interrupted". V budoucnu může být pro tyto případy přidána volba "rollback".

    Pozor, -c funguje pouze s FTP servery a s HTTP servery, které podporují hlavičku "Range".

--start-pos=OFFSET
    Start downloading at zero-based position OFFSET. Offset may be expressed in bytes, kilobytes with the `k' suffix, or megabytes with the `m' suffix, etc.

    --start-pos has higher precedence over --continue. When --start-pos and --continue are both specified, wget will emit a warning then proceed as if --continue was absent.

    Server support for continued download is required, otherwise --start-pos cannot help. See -c for details.

--progress=druh
    Vybere druh ukazatele postupu, který má být použit. Platné druhy jsou "dot" a "bar".

    Jako výchozí je nastaven "bar" (čárový). Vykresluje ASCII čáru postupu (alias "teploměr"), který ukazuje stav stahování.Pokud výstup není TTY, je jako výchozí použit "dot" (tečkový).

    Pro přepnutí na "dot" použijte --progress=dot. Při stahování vypisuje na obrazovku tečky; každá tečka reprezentuje fixní objem stažených dat.

    The progress type can also take one or more parameters. The parameters vary based on the type selected. Parameters to type are passed by appending them to the type sperated by a colon (:) like this: --progress=type:parameter1:parameter2.

    When using the dotted retrieval, you may set the style by specifying the type as dot:style. Different styles assign different meaning to one dot. With the "default" style each dot represents 1K, there are ten dots in a cluster and 50 dots in a line. The "binary" style has a more "computer"-like orientation---8K dots, 16-dots clusters and 48 dots per line (which makes for 384K lines). The "mega" style is suitable for downloading large files---each dot represents 64K retrieved, there are eight dots in a cluster, and 48 dots on each line (so each line contains 3M). If "mega" is not enough then you can use the "giga" style---each dot represents 1M retrieved, there are eight dots in a cluster, and 32 dots on each line (so each line contains 32M).

    With --progress=bar, there are currently two possible parameters, force and noscroll.

    When the output is not a TTY, the progress bar always falls back to "dot", even if --progress=bar was passed to Wget during invocation. This behaviour can be overridden and the "bar" output forced by using the "force" parameter as --progress=bar:force.

    By default, the bar style progress bar scroll the name of the file from left to right for the file being downloaded if the filename exceeds the maximum length allotted for its display. In certain cases, such as with --progress=bar:force, one may not want the scrolling filename in the progress bar. By passing the "noscroll" parameter, Wget can be forced to display as much of the filename as possible without scrolling through it.

    Note that you can set the default style using the "progress" command in .wgetrc. That setting may be overridden from the command line. For example, to force the bar output without scrolling, use --progress=bar:force:noscroll.

--show-progress
    Force wget to display the progress bar in any verbosity.

    By default, wget only displays the progress bar in verbose mode. One may however, want wget to display the progress bar on screen in conjunction with any other verbosity modes like --no-verbose or --quiet. This is often a desired a property when invoking wget to download several small/large files. In such a case, wget could simply be invoked with this parameter to get a much cleaner output on the screen.

    This option will also force the progress bar to be printed to stderr when used alongside the --output-file option.

-N
--timestamping
    Zapne časové označení (timestamping).

--no-if-modified-since
    Do not send If-Modified-Since header in -N mode. Send preliminary HEAD request instead. This has only effect in -N mode.

--no-use-server-timestamps
    Don't set the local file's timestamp by the one on the server.

    By default, when a file is downloaded, its timestamps are set to match those from the remote file. This allows the use of --timestamping on subsequent invocations of wget. However, it is sometimes useful to base the local file's timestamp on when it was actually downloaded; for that purpose, the --no-use-server-timestamps option has been provided.

-S
--server-response
    Vypíše hlavičky odeslané HTTP serverem a odpovědi odeslané FTP serverem.

--spider
    Při spuštění s touto volbou se bude Wget chovat jako Web spider, tj. nebude stránky stahovat, jenom kontrolovat, jestli existují. Např. je možné použít wget na kontrolu záložek:

     wget --spider --force-html -i bookmarks.html

    Na této funkcionalitě se ještě musí zapracovat, aby se alespoň přiblížila skutečným web spiders.

-T vteřin
--timeout=vteřin
    Nastavení časového limitu sítě na zadaný počet vteřin. Je ekvivalentní společnému nastavení --dns-timeout, --connect-timeout a --read-timeout.

    Kdykoliv probíhá síťová operace, Wget může ověřovat prodlevu a operaci přerušit, pokud trvá příliš dlouho. Tak lze zabránit zamrznutí nebo nekonečným spojením. Jediným časovým limitem, který je jako výchozí nastaven, je 900 vteřin na čtení. Nastavením na 0 se vyřadí. Výchozí hodnotu je záhodno měnit pouze v případě, že skutečně víte, co děláte.

    Všechny volby týkající se časových limitů akceptují hodnoty v desítkové soustavě, včetně hodnot pod vteřinu. Např. 0.1 vteřin je platnou (ačkoliv nevhodnou) hodnotou. Hodnoty pod vteřinu se hodí při testování časů odpovědi serveru nebo latence sítě.

--dns-timeout=vteřin
    Nastaví časový limit pro DNS dotaz na zadaný počet vteřin. DNS dotazy, které nejsou ve stanoveném čase dokončeny, selžou. Jako výchozí není pro DNS dotazy stanoven žádný časový limit nad rámec implementace knihovnami systému.

--connect-timeout=vteřin
    Nastaví časový limit na zadaný počet vteřin. TCP spojení, která se za tu dobu nepodaří sestavit budou přerušena. Jako výchozí není pro sestavení spojení stanoven žádný časový limit nad rámec implementace knihovnami systému.

--read-timeout=vteřin
    Nastaví časový limit pro čtení (a zápis) na zadaný v počet vteřin. "Čas" v tomto případě znamená nečinný čas: pokud v jakékoliv fázi stahování nejsou přijata žádná data po více než zadaný počet vteřin, čtení selže a stahování začne znovu. Tato volba neovlivňuje přímo trvání celého stahování.

    Samozřejmě vzdálený server se může rozhodnout ukončit spojení dříve než stanoví tato volba. Výchozí hodnotou časového limitu pro čtení je 900 vteřin.

--limit-rate=počet
    Omezí rychlost stahování na počet bajtů za vteřinu. Počet může být vyjádřen v bajtech, s příponou k v kilobajtech nebo s příponou m v megabajtech. Např. --limit-rate=20k omezí rychlost stahování na 20KB/s. To se hodí pokud z jakéhokoliv důvodu nechcete, aby Wget zabral celé přenosové pásmo.

    Tato volba umožňuje použít desetiny, obvykle spolu s příponami; např. --limit-rate=2.5k je platné nastavení.

    Všimněte si, že Wget implementuje omezování nečinností po určitý čas, v případě, že čtení ze sítě trvalo méně nežli je určeno limitem. Tato strategie způsobí, že TCP přenos se zpomalí zhruba na rychlost danou limitem. Nicméně dosažení rovnováhy může chvíli trvat, takže v případě velmi malých souborů to moc dobře nefunguje.

-w vteřin
--wait=vteřin
    Čekat zadaný počet vteřin mezi jednotlivými staženími. Použití této volby se doporučuje, protože se tak snižuje zatížení serveru. Namísto v sekundách může být určeno v minutách pomocí přípony "m", v hodinách s příponou "h" nebo dnech s příponou "d".

    Specifying a large value for this option is useful if the network or the destination host is down, so that Wget can wait long enough to reasonably expect the network error to be fixed before the retry. The waiting interval specified by this function is influenced by "--random-wait", which see.

--waitretry=vteřin
    Pokud nechcete, aby Wget čekal mezi každým stažením, ale jen mezi staženími, která selhala, použijte tuto volbu. Wget použije lineární ústup (linear backoff), tj. čekání 1 vteřinu po prvním selhání u souboru, 2 vteřiny po druhém selhání u stejného souboru, až po zadaný počet vteřin.

    By default, Wget will assume a value of 10 seconds.

--random-wait
    Některé www servery mohou provádět analýzu záznamů za účelem identifikace programů jako je Wget hledáním statisticky podobných časů mezi požadavky. Tato volba způsobí, že čas mezi požadavky se bude pohybovat mezi 0.5 a 1.5 * wait vteřinami, kde wait je hodnota daná volbou --wait, aby nemohl být Wget identifikován.

    A 2001 article in a publication devoted to development on a popular consumer platform provided code to perform this analysis on the fly. Its author suggested blocking at the class C address level to ensure automated retrieval programs were blocked despite changing DHCP-supplied addresses.

    The --random-wait option was inspired by this ill-advised recommendation to block many unrelated users from a web site due to the actions of one.

--no-proxy
    nepoužívat proxy, i pokud je příslušná proměnná prostředí *_proxy definována.

-Q kvóta
--quota=kvóta
    Nastaví kvótu pro automatická stahování. Hodnota může být určena v bajtech (výchozí), kilobajtech (s příponou k) nebo megabajtech (s příponou m).

    Note that quota will never affect downloading a single file. So if you specify wget -Q10k https://example.com/ls-lR.gz, all of the ls-lR.gz will be downloaded. The same goes even when several URLs are specified on the command-line. The quota is checked only at the end of each downloaded file, so it will never result in a partially downloaded file. Thus you may safely type wget -Q2m -i sites---download will be aborted after the file that exhausts the quota is completely downloaded.

    Zadáním kvóty na 0 nebo inf se kvóta nastaví na nekonečno.

--no-dns-cache
    Vypne vyrovnávací paměť DNS dotazů. Za normálních okolností si Wget pamatuje IP adresy, které získal z DNS, takže nemusí pravidelně kontaktovat DNS server pro stejnou (obvykle malou) sadu hostitelů, z nichž stahuje. Tato vyrovnávací paměť existuje pouze v paměti a nová instance Wgetu musí DNS kontaktovat znovu.

    Nicméně jsou případy, kdy není žádoucí udržovat jména hostitelů ve vyrovnávací paměti, a to ani po krátkou dobu. S touto volbou Wget pro každé nové spojení použije nový DNS dotaz (přesněji nové volání "gethostbyname" nebo "getaddrinfo"). Tato volba neovlivní cachování, které může provádět DNS knihovna nebo externí vyrovnávací vrstva, jako je třeba NSCD.

    Pokud přesně nerozumíte, k čemu tato volba slouží, pravděpodobně ji nepotřebujete.

--restrict-file-names=modes
    Change which characters found in remote URLs must be escaped during generation of local filenames. Characters that are restricted by this option are escaped, i.e. replaced with %HH, where HH is the hexadecimal number that corresponds to the restricted character. This option may also be used to force all alphabetical cases to be either lower- or uppercase.

    By default, Wget escapes the characters that are not valid or safe as part of file names on your operating system, as well as control characters that are typically unprintable. This option is useful for changing these defaults, perhaps because you are downloading to a non-native partition, or because you want to disable escaping of the control characters, or you want to further restrict characters to only those in the ASCII range of values.

    The modes are a comma-separated set of text values. The acceptable values are unix, windows, nocontrol, ascii, lowercase, and uppercase. The values unix and windows are mutually exclusive (one will override the other), as are lowercase and uppercase. Those last are special cases, as they do not change the set of characters that would be escaped, but rather force local file paths to be converted either to lower- or uppercase.

    When "unix" is specified, Wget escapes the character / and the control characters in the ranges 0--31 and 128--159. This is the default on Unix-like operating systems.

    When "windows" is given, Wget escapes the characters \, |, /, :, ?, ", *, <, >, and the control characters in the ranges 0--31 and 128--159. In addition to this, Wget in Windows mode uses + instead of : to separate host and port in local file names, and uses @ instead of ? to separate the query portion of the file name from the rest. Therefore, a URL that would be saved as www.xemacs.org:4300/search.pl?input=blah in Unix mode would be saved as www.xemacs.org+4300/search.pl@input=blah in Windows mode. This mode is the default on Windows.

    If you specify nocontrol, then the escaping of the control characters is also switched off. This option may make sense when you are downloading URLs whose names contain UTF-8 characters, on a system which can save and display filenames in UTF-8 (some possible byte values used in UTF-8 byte sequences fall in the range of values designated by Wget as "controls").

    The ascii mode is used to specify that any bytes whose values are outside the range of ASCII characters (that is, greater than 127) shall be escaped. This can be useful when saving filenames whose encoding does not match the one used locally.

-4
--inet4-only
-6
--inet6-only
    Vynutí připojování k IPv4 nebo IPv6 adresám. S --inet4-only nebo -4 se Wget bude připojovat pouze k IPv4 hostitelům, ignorujíc AAAA záznamy v DNS a odmítne se připojit k IPv6 adresám určeným v URL. Naopak s --inet6-only nebo -6 se Wget bude připojovat pouze k IPv6 hostitelům a bude ignorovat A záznamy a IPv4 adresy.

    Žádnou z těchto voleb by nemělo být nutné nastavovat ručně. Jako výchozí Wget, který IPv6 umí, použije druh adres, určený DNS záznamem hostitele. Pokud DNS odpoví IPv4 i IPv6 adresou, Wget je postupně zkusí, dokud nenajde tu, ke které se dá připojit. (Také viz volba "--prefer-family" popsaná níže.)

    Tyto volby mohou být použity k vynucení užití IPv4 nebo IPv6 adres na systémech, které podporují obě možnosti, obvykle za účelem ladění nebo řešení rozbité konfigurace sítě. Najednou může být použita pouze jedna z voleb --inet6-only a --inet4-only. Pokud nebyl Wget zkompilován s podporou IPv6, nejsou tyto volby dostupné.

--prefer-family=none/IPv4/IPv6
    When given a choice of several addresses, connect to the addresses with specified address family first. The address order returned by DNS is used without change by default.

    Tím se vyhne falešným chybám a pokusům o spojení, při přístupu z IPv4 sítí k hostitelům, kteří mají jak IPv6 tak IPv4 záznam. Například www.kame.net se překládá na 2001:200:0:8002:203:47ff:fea5:3085 a na 203.178.141.194. Je-li preferováno "IPv4", poižije se IPv4 adresa jako první; je-li preferováno "IPv6", použije se jako první IPv6 adresa; je-li zadána hodnota "none", je pořadí adres vrácených DNS použito beze změny.

    Na rozdíl od -4 a -6 tato volba neomezuje používání na jediný druh adres, pouze mění pořadí, ve kterém je k adresám přistupováno. Také si všimněte, že provedená změna pořadí je stabilní---neovlivnuje pořadí adres stejného druhu, tj. relativní pořadí všech IPv4 adres a všech IPv6 adres zůstává ve všech případech nedotčeno.

--retry-connrefused
    Považuj "connection refused" za dočasnou chybu a zkoušej znovu. Normálně Wget pokus o stažení URL vzdá, pokud se k serveru nedokáže připojit, protože takové selhání se bere jako znamení, že server vůbec neběží a další pokusy by nikam nevedly. Tato volba se hodí k zrcadlení nespolehlivých serverů, které na krátké časové úseky vypadávají.

--user=uživatel
--password=heslo
    Nastaví uživatele a heslo heslo pro stahování přes FTP i HTTP. Tyto parametry lze potlačit použitím voleb --ftp-user a --ftp-password pro FTP přenosy a --http-user a --http-password pro HTTP přenosy.

--ask-password
    Prompt for a password for each connection established. Cannot be specified when --password is being used, because they are mutually exclusive.

--use-askpass=příkaz
    Prompt for a user and password using the specified command. If no command is specified then the command in the environment variable WGET_ASKPASS is used. If WGET_ASKPASS is not set then the command in the environment variable SSH_ASKPASS is used.

    You can set the default command for use-askpass in the .wgetrc. That setting may be overridden from the command line.

--no-iri
    Turn off internationalized URI (IRI) support. Use --iri to turn it on. IRI support is activated by default.

    You can set the default state of IRI support using the "iri" command in .wgetrc. That setting may be overridden from the command line.

--local-encoding=encoding
    Force Wget to use encoding as the default system encoding. That affects how Wget converts URLs specified as arguments from locale to UTF-8 for IRI support.

    Wget use the function "nl_langinfo()" and then the "CHARSET" environment variable to get the locale. If it fails, ASCII is used.

    You can set the default local encoding using the "local_encoding" command in .wgetrc. That setting may be overridden from the command line.

--remote-encoding=encoding
    Force Wget to use encoding as the default remote server encoding. That affects how Wget converts URIs found in files from remote encoding to UTF-8 during a recursive fetch. This options is only useful for IRI support, for the interpretation of non-ASCII characters.

    For HTTP, remote encoding can be found in HTTP "Content-Type" header and in HTML "Content-Type http-equiv" meta tag.

    You can set the default encoding using the "remoteencoding" command in .wgetrc. That setting may be overridden from the command line.

--unlink
    Force Wget to unlink file instead of clobbering existing file. This option is useful for downloading to the directory with hardlinks.

  Volby pro adresáře

-nd
--no-directories
    Při rekurzivním stahování nevytvářet adresářovou hierarchii. Všechny soubory budou uloženy do aktuálního adresáře, bez přepisování (pokud existuje více souborů se stejným jménem, jsou uloženy s příponami .n).

-x
--force-directories
    Opak -nd---vytvoří adresářovou hierarchii, i v případě, že by jinak vytvořena nebyla. Např. wget -x http://fly.srk.fer.hr/robots.txt uloží stažený soubor do fly.srk.fer.hr/robots.txt.

-nH
--no-host-directories
    Nebude vytvářet adresáře začínající názvem hostitele. Jako výchozí bude při spuštění Wget s volbou -r http://fly.srk.fer.hr/ vytvořena adresářová struktura začínající fly.srk.fer.hr/. Tato volba toto chování vypne.

--protocol-directories
    Použije název protokolu v cestě k lokálnímu souboru. Např. (s touto volbou) wget -r http://host bude ukládat do http/host/... a ne do host/....

--cut-dirs=počet
    Bude ignorovat zadaný počet podadresářů. To se hodí pro detailní kontrolu nad adresářem, kam se ukládá.

    Viz např. adresář ftp://ftp.xemacs.org/pub/xemacs/. Při jeho stažení s -r bude uložen lokálně v ftp.xemacs.org/pub/xemacs/. Zatímco volba -nH může odstranit podadresář ftp.xemacs.org/, ale pořád zbývá pub/xemacs. Tady se --cut-dirs hodí; způsobí, že Wget nebude "see" počet podadresářů vzdáleného adresáře. Následuje několik příkladů fungování volby --cut-dirs.

     No options -> ftp.xemacs.org/pub/xemacs/  -nH -> pub/xemacs/
    -nH --cut-dirs=1 -> xemacs/  -nH --cut-dirs=2 -> .
    --cut-dirs=1 -> ftp.xemacs.org/xemacs/  ...

    Pokud je pouze potřeba zbavit se adresářové struktury, lze podobného výsledku dosáhnout kombinací -nd a -P. Nicméně narozdíl od -nd volba --cut-dirs neruší podadresáře---např. při použití -nH --cut-dirs=1 bude podadresář beta/ podle očekávání umístěn do xemacs/beta.

-P prefix
--directory-prefix=prefix
    Nastaví prefix pro adresáře na prefix. Adresář prefix je adresář, kam se budou všechny soubory a podadresáře ukládat. Výchozí hodnotou je . (aktuální adresář).

  Volby HTTP

--default-page=name
    Use name as the default file name when it isn't known (i.e., for URLs that end in a slash), instead of index.html.

-E
--adjust-extension
    Pokud je stažen soubor typu application/xhtml+xml nebo text/html a jeho URL nekončí příponou odpovídající regulárnímu výrazu \.[Hh][Tt][Mm][Ll]?, způsobí tato volba připojení přípony .html k názvu lokálního souboru. To se hodí např. při zrcadlení serveru používajícího .asp, když mají být zrcadlené stránky zprostředkovány serverem Apache. Nebo také při stahování obsahu, generovaného CGI. URL typu http://site.com/article.cgi?25 bude uloženo jako article.cgi?25.html.

    Note that filenames changed in this way will be re-downloaded every time you re-mirror a site, because Wget can't tell that the local X.html file corresponds to remote URL X (since it doesn't yet know that the URL produces output of type text/html or application/xhtml+xml.

    As of version 1.12, Wget will also ensure that any downloaded files of type text/css end in the suffix .css, and the option was renamed from --html-extension, to better reflect its new behavior. The old option name is still acceptable, but should now be considered deprecated.

    As of version 1.19.2, Wget will also ensure that any downloaded files with a "Content-Encoding" of br, compress, deflate or gzip end in the suffix .br, .Z, .zlib and .gz respectively.

    At some point in the future, this option may well be expanded to include suffixes for other types of content, including content types that are not parsed by Wget.

--http-user=uživatel
--http-password=heslo
    Specify the username user and password password on an HTTP server. According to the type of the challenge, Wget will encode them using either the "basic" (insecure), the "digest", or the Windows "NTLM" authentication scheme.

    Another way to specify username and password is in the URL itself. Either method reveals your password to anyone who bothers to run "ps". To prevent the passwords from being seen, use the --use-askpass or store them in .wgetrc or .netrc, and make sure to protect those files from other users with "chmod". If the passwords are really important, do not leave them lying in those files either---edit the files and delete them after Wget has started the download.

--no-http-keep-alive
    Vypne "keep-alive" pro HTTP stahování. Normálně Wget požádá server, aby ponechal spojení otevřené, takže při stahování více než jednoho dokumentu ze stejného serveru budou staženy v rámci stejného TCP spojení. Tak se ušetří čas a zároveň se sníží zátěž serveru.

    Tato volba se hodí v případě, kdy z nějakého důvodu, trvalá (keep-alive) spojení nefungují, např. díky chybě v serveru nebo neschopnosti skriptů na straně serveru vypořádat se se spojeními.

--no-cache
    Disable server-side cache. In this case, Wget will send the remote server appropriate directives (Cache-Control: no-cache and Pragma: no-cache) to get the file from the remote service, rather than returning the cached version. This is especially useful for retrieving and flushing out-of-date documents on proxy servers.

    Používání vyrovnávací paměti je ve výchozím stavu povoleno.

--no-cookies
    Zakáže používání cookies. Cookies slouží k udržování o stavu na serveru. Server pošle klientovi cookie pomocí hlavičky "Set-Cookie" a klient touto cookie odpovídá na další dotazy. Protože cookie umožňuje vlastníkovi serveru sledovat návštěvníky, může být jejich užití považováno za narušování soukromí. Jako výchozí je používání cookies povoleno, nicméně skladování cookies je vypnuto.

--load-cookies soubor
    Nahraje cookies ze souboru před prvním HTTP stahováním. soubor je textový soubor ve formátu původního souboru cookies.txt v Netscape.

    Tato volba je typicky používána v případech zrcadlení serverů, které vyžadují přihlášení pro přístup k části nebo celému obsahu. Přihlašovací proces obvykle probíhá tak, že web server na základě přijatých a ověřených přihlašovacích informací vydá HTTP cookie. Tuto cookie potom prohlížeč při přístupu do vyhrazené části posílá serveru, čímž prokazuje svou identitu.

    Zrcadlení takového serveru vyžaduje, aby Wget posílal stejné cookies, jako posílá váš prohlížeč. Toho se dosáhne volbou --load-cookies---prostě se Wgetu předá umístění souboru cookies.txt a bude posílat stejné cookies, jako by v dané situaci posílal váš prohlížeč. Různé prohlížeče udržují textové cookie soubory na různých místech:

    "Netscape 4.x."
        Cookies jsou v ~/.netscape/cookies.txt.

    "Mozilla and Netscape 6.x."
        Cooki soubor Mozilly se také jmenuje cookies.txt a je umístěn někde v ~/.mozilla, v adresáři vašeho profilu. Úplná cesta obvykle vypadá podobně jako ~/.mozilla/default/some-weird-string/cookies.txt.

    "Internet Explorer."
        Pro vytvoření cookie souboru použitelného Wgetem zvolte v menu Soubor Import a Expert, Exportovat cookies. Testováno s Internet Explorerem 5; Není zaručeno, že bude fungovat s dřívějšími verzemi.

    "Other browsers."
        Pokud používáte jiný prohlížeč, --load-cookies fungovat pouze v případě, že dokážete najít nebo vytvořit cookie soubor ve formátu Netscape.

    Pokud není možné použít --load-cookies, je tu ještě jedna alternativa. Pokud prohlížeč podporuje "správu cookie", je možné použít jej pro zobrazení cookies, které jsou používány k přístupu k zrcadlenému serveru. Opište si název a hodnotu cookie a ručně nařiďte Wgetu, aby je posílal, čímž "oficiální" podporu cookies obejdete:

     wget --no-cookies --header "Cookie: <název>=<hodnota>"

--save-cookies soubor
    Před ukončením uloží cookies do souboru. Takto nebudou uloženy cookies, které vypršely nebo nemají nastaven čas vypršení (tzv. "session cookies"), viz též --keep-session-cookies.

--keep-session-cookies
    Pokud je použito, způsobí, že volba --save-cookies bude také ukládat session cookies. Ty za normálních okolností ukládány nejsou, protože mají být uchovávány pouze v paměti a zapomenuty při zavření prohlížeče. Jejich uložení se hodí u serverů, které požadují přihlášení nebo návštěvu home page před umožněním přístupu na některé stránky. S touto volbou je pro daný server vícero spuštění Wgetu považováno za jedinou session prohlížeče.

    Protože formát cookie souboru normálně neobsahuje session cookies, Wget je označí časem expirace 0. Volba --load-cookies je rozpozná jako session cookies, ale ostatní prohlížeče to může zmást. Také si všimněte, že s takto nahranými cookies bude zacházeno jako s ostatními session cookies, tj. pokud je má volba --save-cookies opět zachovat, je nutné znovu použít --keep-session-cookies.

--ignore-length
    Některé HTTP servery (resp. CGI programy) bohužel posílají neplatné hlavičky "Content-Length", což Wget nesnáší dobře, protože si myslí, že dokument nebyl stažen úplně. Příznakem jsou opakované pokusy Wgetu o stažení stejného dokumentu, které pokaždé skončí hláškou, že (jinka normální) spojení bylo ukončeno na stejném bajtu.

    S touto volbou bude Wget hlavičku "Content-Length" ignorovat--- jako by nikdy neexistovala.

--header=header-line
    Bude posílat header-line spolu s ostatními hlavičkami v každém HTTP požadavku. Dodaná hlavička je poslána tak, jak je, tzn. musí obsahovat název a hodnotu oddělené středníkem a nesmí obsahovat znak nového řádku.

    Pro definování více hlaviček je možné použít --header vícenásobně.

     wget --header='Accept-Charset: iso-8859-2' \
    --header='Accept-Language: hr' \  http://fly.srk.fer.hr/

    Nastavením hodnoty na prázdný řetězec se smažou všechny dříve definované hlavičky.

    Od verze 1.10 může být tato volba použita pro přepsání jinak automaticky generovaných hlaviček. Následující příkaz instruuje Wget, aby se připojil na localhost, ale použil foo.bar v hlavičce "Host":

     wget --header="Host: foo.bar" http://localhost/

    Ve verzích před 1.10 takové použití volby --header způsobovalo posílání duplicitních hlaviček.

--compression=typ
    Choose the type of compression to be used. Legal values are auto, gzip and none.

    If auto or gzip are specified, Wget asks the server to compress the file using the gzip compression format. If the server compresses the file and responds with the "Content-Encoding" header field set appropriately, the file will be decompressed automatically.

    If none is specified, wget will not ask the server to compress the file and will not decompress any server responses. This is the default.

    Compression support is currently experimental. In case it is turned on, please report any bugs to "bug-wget@gnu.org".

--max-redirect=počet
    Specifies the maximum number of redirections to follow for a resource. The default is 20, which is usually far more than necessary. However, on those occasions where you want to allow more (or fewer), this is the option to use.

--proxy-user=uživatel
--proxy-password=heslo
    Nastaví uživatelské jméno uživatel a heslo heslo pro autentizaci na proxy serveru. Wget je zakóduje autentikačním schématem "basic".

    I zde platí bezpečnostní ohledy popsané u --http-password.

--referer=url
    Zahrne do HTTP požadavku hlavičku `Referer: url'. Hodí se pro získávání dokumentů zpracovávaných na serveru, který očekává pouze stahování interaktivními prohlížeči, a které lze stáhnout v pořádku pouze pokud je hlavička Referer nastavena na jednu ze stránek, která na ně odkazuje.

--save-headers
    Uloží hlavičky poslané HTTP serverem do souboru, před jeho současný obsah, záznamy jsou odděleny znakem nového řádku.

-U agent-string
--user-agent=agent-string
    Bude se HTTP serveru identifikovat jako agent-string.

    HTTP protokol umožňuje klientům identifikovat se pomocí hlavičky "User-Agent". Tak je možné odlišit WWW software, obvykle pro statistické účely nebo pro sledování porušování protokolu. Wget se normálně identifikuje jako Wget/verze, kde verze je aktuální číslo verze Wgetu.

    Nicméně některé servery uplatňují politiku výstupu na míru podle informací z "User-Agent". Zatímco teoreticky to není tak špatný nápad, bývá to zneužíváno servery k odepření informací klientům jiným než (historicky) Netscape nebo častěji Microsoft Internet Explorer. Tato volba umožňuje změnit řádek "User-Agent" posílaný Wgetem. Pokud nevíte, co děláte, nepoužívejte tuto volbu.

    Určením prázdného řetězce pomocí --user-agent="" způsobí, že Wget hlavičku "User-Agent" v HTTP požadavcích nepošle vůbec.

--post-data=řetězec
--post-file=soubor
    Use POST as the method for all HTTP requests and send the specified data in the request body. --post-data sends string as data, whereas --post-file sends the contents of file. Other than that, they work in exactly the same way. In particular, they both expect content of the form "key1=value1&key2=value2", with percent-encoding for special characters; the only difference is that one expects its content as a command-line parameter and the other accepts its content from a file. In particular, --post-file is not for transmitting files as form attachments: those must appear as "key=value" data (with appropriate percent-coding) just like everything else. Wget does not currently support "multipart/form-data" for transmitting POST data; only "application/x-www-form-urlencoded". Only one of --post-data and --post-file should be specified.

    Please note that wget does not require the content to be of the form "key1=value1&key2=value2", and neither does it test for it. Wget will simply transmit whatever data is provided to it. Most servers however expect the POST data to be in the above format when processing HTML Forms.

    When sending a POST request using the --post-file option, Wget treats the file as a binary file and will send every character in the POST request without stripping trailing newline or formfeed characters. Any other control characters in the text will also be sent as-is in the POST request.

    Please be aware that Wget needs to know the size of the POST data in advance. Therefore the argument to "--post-file" must be a regular file; specifying a FIFO or something like /dev/stdin won't work. It's not quite clear how to work around this limitation inherent in HTTP/1.0. Although HTTP/1.1 introduces chunked transfer that doesn't require knowing the request length in advance, a client can't use chunked unless it knows it's talking to an HTTP/1.1 server. And it can't know that until it receives a response, which in turn requires the request to have been completed -- a chicken-and-egg problem.

    Note: As of version 1.15 if Wget is redirected after the POST request is completed, its behaviour will depend on the response code returned by the server. In case of a 301 Moved Permanently, 302 Moved Temporarily or 307 Temporary Redirect, Wget will, in accordance with RFC2616, continue to send a POST request. In case a server wants the client to change the Request method upon redirection, it should send a 303 See Other response code.

    Následující příklad ukazuje, jak se přihlásit na server pomocí POST a poté přistoupit ke stažení požadovaných stránek, které jsou přístupné pouze autorizovaným uživatelům:

     # Log in to the server.  This can be done only once.   wget
    --save-cookies cookies.txt \  --post-data 'user=foo&password=bar'
    \  http://example.com/auth.php   # Now grab the page or pages we care
    about.   wget --load-cookies cookies.txt \  -p
    http://example.com/interesting/article.php

    Pokud server používá ke sledování autentizace uživatelů session cookies, nebude tento příklad fungovat, protože --save-cookies je neuloží (ani prohlížeče je neuloží) a soubor cookies.txt bude prázdný V tom případě pro vynucené ukládání session cookies přidejte volbu --keep-session-cookies.

--method=HTTP-Method
    For the purpose of RESTful scripting, Wget allows sending of other HTTP Methods without the need to explicitly set them using --header=Header-Line. Wget will use whatever string is passed to it after --method as the HTTP Method to the server.

--body-data=Data-String
--body-file=Data-File
    Must be set when additional data needs to be sent to the server along with the Method specified using --method. --body-data sends string as data, whereas --body-file sends the contents of file. Other than that, they work in exactly the same way.

    Currently, --body-file is not for transmitting files as a whole. Wget does not currently support "multipart/form-data" for transmitting data; only "application/x-www-form-urlencoded". In the future, this may be changed so that wget sends the --body-file as a complete file instead of sending its contents to the server. Please be aware that Wget needs to know the contents of BODY Data in advance, and hence the argument to --body-file should be a regular file. See --post-file for a more detailed explanation. Only one of --body-data and --body-file should be specified.

    If Wget is redirected after the request is completed, Wget will suspend the current method and send a GET request till the redirection is completed. This is true for all redirection response codes except 307 Temporary Redirect which is used to explicitly specify that the request method should not change. Another exception is when the method is set to "POST", in which case the redirection rules specified under --post-data are followed.

--content-disposition
    If this is set to on, experimental (not fully-functional) support for "Content-Disposition" headers is enabled. This can currently result in extra round-trips to the server for a "HEAD" request, and is known to suffer from a few bugs, which is why it is not currently enabled by default.

    This option is useful for some file-downloading CGI programs that use "Content-Disposition" headers to describe what the name of a downloaded file should be.

    When combined with --metalink-over-http and --trust-server-names, a Content-Type: application/metalink4+xml file is named using the "Content-Disposition" filename field, if available.

--content-on-error
    If this is set to on, wget will not skip the content when the server responds with a http status code that indicates error.

--trust-server-names
    If this is set, on a redirect, the local file name will be based on the redirection URL. By default the local file name is based on the original URL. When doing recursive retrieving this can be helpful because in many web sites redirected URLs correspond to an underlying file structure, while link URLs do not.

--auth-no-challenge
    If this option is given, Wget will send Basic HTTP authentication information (plaintext username and password) for all requests, just like Wget 1.10.2 and prior did by default.

    Use of this option is not recommended, and is intended only to support some few obscure servers, which never send HTTP authentication challenges, but accept unsolicited auth info, say, in addition to form-based authentication.

--retry-on-host-error
    Consider host errors, such as "Temporary failure in name resolution", as non-fatal, transient errors.

--retry-on-http-error=code[,code,...]
    Consider given HTTP response codes as non-fatal, transient errors. Supply a comma-separated list of 3-digit HTTP response codes as argument. Useful to work around special circumstances where retries are required, but the server responds with an error code normally not retried by Wget. Such errors might be 503 (Service Unavailable) and 429 (Too Many Requests). Retries enabled by this option are performed subject to the normal retry timing and retry count limitations of Wget.

    Using this option is intended to support special use cases only and is generally not recommended, as it can force retries even in cases where the server is actually trying to decrease its load. Please use wisely and only if you know what you are doing.

  Volby HTTPS (SSL/TLS)
To support encrypted HTTP (HTTPS) downloads, Wget must be compiled with an external SSL library. The current default is GnuTLS. In addition, Wget also supports HSTS (HTTP Strict Transport Security). If Wget is compiled without SSL support, none of these options are available.

--secure-protocol=protokol
    Choose the secure protocol to be used. Legal values are auto, SSLv2, SSLv3, TLSv1, TLSv1_1, TLSv1_2, TLSv1_3 and PFS. If auto is used, the SSL library is given the liberty of choosing the appropriate protocol automatically, which is achieved by sending a TLSv1 greeting. This is the default.

    Specifying SSLv2, SSLv3, TLSv1, TLSv1_1, TLSv1_2 or TLSv1_3 forces the use of the corresponding protocol. This is useful when talking to old and buggy SSL server implementations that make it hard for the underlying SSL library to choose the correct protocol version. Fortunately, such servers are quite rare.

    Specifying PFS enforces the use of the so-called Perfect Forward Security cipher suites. In short, PFS adds security by creating a one-time key for each SSL connection. It has a bit more CPU impact on client and server. We use known to be secure ciphers (e.g. no MD4) and the TLS protocol. This mode also explicitly excludes non-PFS key exchange methods, such as RSA.

--https-only
    When in recursive mode, only HTTPS links are followed.

--ciphers
    Set the cipher list string. Typically this string sets the cipher suites and other SSL/TLS options that the user wish should be used, in a set order of preference (GnuTLS calls it 'priority string'). This string will be fed verbatim to the SSL/TLS engine (OpenSSL or GnuTLS) and hence its format and syntax is dependent on that. Wget will not process or manipulate it in any way. Refer to the OpenSSL or GnuTLS documentation for more information.

--no-check-certificate
    Neověřuje certifikát serveru u dostupných certifikačních autorit. Také nebude vyžadovat, aby jméno hostitele v URL odpovídalo jménu v certifikátu.

    Od verze 1.10 je jako výchozí nastaveno ověřování certifikátu serveru u známých certifikačních autorit s přerušením SSL handshake a zrušením stahování, pokud ověření selže. Ačkoliv je tak dosaženo bezpečnějšího stahování, spolupráce s některými servery, které s předchozími verzemi fungovaly, nebude fungovat, zvláště pokud používají certifikáty podepsané sebou samými, prošlé nebo jinak neplatné. Tato volba vynutí "nezabezpečený režim, který změní chyby ověření certifikátu na varování a umožní pokračovat.

    If you encounter "certificate verification" errors or ones saying that "common name doesn't match requested host name", you can use this option to bypass the verification and proceed with the download. Only use this option if you are otherwise convinced of the site's authenticity, or if you really don't care about the validity of its certificate. It is almost always a bad idea not to check the certificates when transmitting confidential or important data. For self-signed/internal certificates, you should download the certificate and verify against that instead of forcing this insecure mode. If you are really sure of not desiring any certificate verification, you can specify --check-certificate=quiet to tell wget to not print any warning about invalid certificates, albeit in most cases this is the wrong thing to do.

--certificate=soubor
    Použij klientský certifikát uložený v souboru. to je potřeba pro servery, které po klientech, kteří se k nim připojují, požadují certifikát. Normálně to požadováno není a tato volba není povinná.

--certificate-type=typ
    Určí typ klientského certifikátu. Platné hodnoty jsou PEM (výchozí) a DER, také známý jako ASN1.

--private-key=soubor
    Načte privátní klíč ze souboru. Tak je možné poskytnout privátní klíč v souboru odděleně od certifikátu.

--private-key-type=typ
    Určí typ privátního klíče. Povolené hodnoty jsou PEM (výchozí) a DER.

--ca-certificate=soubor
    Použije soubor jako soubor s balíkem certifikačních autorit ("CA") pro ověřování. Certifikáty musejí být ve formátu PEM.

    Bez této volby Wget hledá certifikáty CA na místech určených systémem, vybraných při instalaci OpenSSH.

--ca-directory=adresář
    Specifies directory containing CA certificates in PEM format. Each file contains one CA certificate, and the file name is based on a hash value derived from the certificate. This is achieved by processing a certificate directory with the "c_rehash" utility supplied with OpenSSL. Using --ca-directory is more efficient than --ca-certificate when many certificates are installed because it allows Wget to fetch certificates on demand.

    Bez této volby Wget hledá certifikáty CA na místech určených systémem, vybraných při instalaci OpenSSH.

--crl-file=soubor
    Specifies a CRL file in file. This is needed for certificates that have been revocated by the CAs.

--pinnedpubkey=file/hashes
    Tells wget to use the specified public key file (or hashes) to verify the peer. This can be a path to a file which contains a single public key in PEM or DER format, or any number of base64 encoded sha256 hashes preceded by "sha256//" and separated by ";"

    When negotiating a TLS or SSL connection, the server sends a certificate indicating its identity. A public key is extracted from this certificate and if it does not exactly match the public key(s) provided to this option, wget will abort the connection before sending or receiving any data.

--random-file=soubor
    [OpenSSL and LibreSSL only] Use file as the source of random data for seeding the pseudo-random number generator on systems without /dev/urandom.

    On such systems the SSL library needs an external source of randomness to initialize. Randomness may be provided by EGD (see --egd-file below) or read from an external source specified by the user. If this option is not specified, Wget looks for random data in $RANDFILE or, if that is unset, in $HOME/.rnd.

    Pokud se objevuje chyba "Could not seed OpenSSL PRNG; disabling SSL.", je třeba dodat náhodná data jednou z popsaných metod.

--egd-file=soubor
    [OpenSSL only] Use file as the EGD socket. EGD stands for Entropy Gathering Daemon, a user-space program that collects data from various unpredictable system sources and makes it available to other programs that might need it. Encryption software, such as the SSL library, needs sources of non-repeating randomness to seed the random number generator used to produce cryptographically strong keys.

    OpenSSL umožňuje uživateli zvolit vlastní zdroj entropie pomocí proměnné prostředí "RAND_FILE". Pokud není tato proměnná nastavena nebo pokud určený soubor neposkytuje dostatek náhodnosti, OpenSSL bude číst náhodná data z EGD soketu určeného touto volbou.

    Pokud není tato volba určena (a není použit ekvivalentní příkaz při startu), EGD není kontaktováno. EGD není na moderních Unixových systémech s podporou /dev/urandom nutné.

--no-hsts
    Wget supports HSTS (HTTP Strict Transport Security, RFC 6797) by default. Use --no-hsts to make Wget act as a non-HSTS-compliant UA. As a consequence, Wget would ignore all the "Strict-Transport-Security" headers, and would not enforce any existing HSTS policy.

--hsts-file=soubor
    By default, Wget stores its HSTS database in ~/.wget-hsts. You can use --hsts-file to override this. Wget will use the supplied file as the HSTS database. Such file must conform to the correct HSTS database format used by Wget. If Wget cannot parse the provided file, the behaviour is unspecified.

    The Wget's HSTS database is a plain text file. Each line contains an HSTS entry (ie. a site that has issued a "Strict-Transport-Security" header and that therefore has specified a concrete HSTS policy to be applied). Lines starting with a dash ("#") are ignored by Wget. Please note that in spite of this convenient human-readability hand-hacking the HSTS database is generally not a good idea.

    An HSTS entry line consists of several fields separated by one or more whitespace:

    "<hostname> SP [<port>] SP <include subdomains> SP <created> SP <max-age>"

    The hostname and port fields indicate the hostname and port to which the given HSTS policy applies. The port field may be zero, and it will, in most of the cases. That means that the port number will not be taken into account when deciding whether such HSTS policy should be applied on a given request (only the hostname will be evaluated). When port is different to zero, both the target hostname and the port will be evaluated and the HSTS policy will only be applied if both of them match. This feature has been included for testing/development purposes only. The Wget testsuite (in testenv/) creates HSTS databases with explicit ports with the purpose of ensuring Wget's correct behaviour. Applying HSTS policies to ports other than the default ones is discouraged by RFC 6797 (see Appendix B "Differences between HSTS Policy and Same-Origin Policy"). Thus, this functionality should not be used in production environments and port will typically be zero. The last three fields do what they are expected to. The field include_subdomains can either be 1 or 0 and it signals whether the subdomains of the target domain should be part of the given HSTS policy as well. The created and max-age fields hold the timestamp values of when such entry was created (first seen by Wget) and the HSTS-defined value 'max-age', which states how long should that HSTS policy remain active, measured in seconds elapsed since the timestamp stored in created. Once that time has passed, that HSTS policy will no longer be valid and will eventually be removed from the database.

    If you supply your own HSTS database via --hsts-file, be aware that Wget may modify the provided file if any change occurs between the HSTS policies requested by the remote servers and those in the file. When Wget exits, it effectively updates the HSTS database by rewriting the database file with the new entries.

    If the supplied file does not exist, Wget will create one. This file will contain the new HSTS entries. If no HSTS entries were generated (no "Strict-Transport-Security" headers were sent by any of the servers) then no file will be created, not even an empty one. This behaviour applies to the default database file (~/.wget-hsts) as well: it will not be created until some server enforces an HSTS policy.

    Care is taken not to override possible changes made by other Wget processes at the same time over the HSTS database. Before dumping the updated HSTS entries on the file, Wget will re-read it and merge the changes.

    Using a custom HSTS database and/or modifying an existing one is discouraged. For more information about the potential security threats arose from such practice, see section 14 "Security Considerations" of RFC 6797, specially section 14.9 "Creative Manipulation of HSTS Policy Store".

--warc-file=soubor
    Use file as the destination WARC file.

--warc-header=řetězec
    Use string into as the warcinfo record.

--warc-max-size=size
    Set the maximum size of the WARC files to size.

--warc-cdx
    Write CDX index files.

--warc-dedup=soubor
    Do not store records listed in this CDX file.

--no-warc-compression
    Do not compress WARC files with GZIP.

--no-warc-digests
    Do not calculate SHA1 digests.

--no-warc-keep-log
    Do not store the log file in a WARC record.

--warc-tempdir=adresář
    Specify the location for temporary files created by the WARC writer.

  Volby FTP

--ftp-user=uživatel
--ftp-password=heslo
    Nastaví uživatelské jméno uživatel a heslo heslo pro FTP server. Bez této volby, nebo odpovídající volby při startu, je jako výchozí heslo použito -wget@, normálně používané pro anonymní FTP.

    Another way to specify username and password is in the URL itself. Either method reveals your password to anyone who bothers to run "ps". To prevent the passwords from being seen, store them in .wgetrc or .netrc, and make sure to protect those files from other users with "chmod". If the passwords are really important, do not leave them lying in those files either---edit the files and delete them after Wget has started the download.

--no-remove-listing
    Neodstraňovat dočasné soubory .listing generované při stahování z FTP. Obvykle tyto soubory obsahují surové výpisy adresářů získané z FTP serverů. Jejich ponechání se může hodit při ladění nebo pokud potřebujete mít možnost jednoduše ověřit obsah adresářů na vzdáleném serveru (např. pro ověření, že zrcadlo, které provozujete, je kompletní).

    Všimněte si, že ačkoliv Wget zapisuje do pevně daného jména souboru, nepředstavuje tato vlastnost bezpečností díru ve scénáři, kdy by uživatel vytvořil soubor .listing jako symbolický odkaz na /etc/passwd apod. a požádal "roota", aby v jeho adresáři spustil Wget. V závislosti na použitých volbách Wget buďto odmítne zapsat do .listing, čímž operace globbing/recursion/time-stamping selžou nebo symbolický odkaz smaže a nahradí opravdovým souborem .listing nebo zapíše výpis do souboru .listing.číslo.

    Ačkoliv takováto situace nepředstavuje problém, "root" by nikdy neměl spouštět Wget v adresáři nedůvěryhodného uživatele. Uživatel může udělat něco tak jednoduchého jako odkaz index.html na /etc/passwd a požádat "roota", aby spustil Wget s -N nebo -r, takže soubor by byl přepsán.

--no-glob
    Vypne FTP globbing. Globbing znamená používání speciálních znaků shellu (žolíků), jako jsou *, ?, [ a ], pro získání více než jednoho souboru ze stejného adresáře najednou, např.:

     wget ftp://gnjilux.srk.fer.hr/*.msg

    Jako výchozí je globbing v případě, že URL obsahuje nějaký speciální znak vypnut. Tato volba slouží k permanentnímu zapnutí nebo vypnutí globbingu.

    URL lze dát do uvozovek, a tak zabránit expanzi v shellu. Globbing způsobí, že Wget bude hledat výpis adresářů, který záleží na operačním systému. Proto v současnosti funguje pouze s Unixovými FTP servery (a těmi, které emulují výstup Unixového "ls").

--no-passive-ftp
    Vypne používání pasivního FTP režimu přenosu. Pasivní FTP požaduje, aby se klient připojil k serveru pro sestavení datového spojení.

    Pokud je stroj připojen k Internetu přímo, pasivní i aktivní FTP by měly fungovat shodně. Za většinou konfigurací firewallů a NAT má pasivní FTP větší šanci fungovat. Nicméně v případě vzácných konfigurací firewallů aktivní FTP funguje a pasivní ne. Pokud máte podezření, že se jedná o tento případ, použijte tuto volbu nebo nastavte "passive_ftp=off" v init souboru.

--preserve-permissions
    Preserve remote file permissions instead of permissions set by umask.

--retr-symlinks
    By default, when retrieving FTP directories recursively and a symbolic link is encountered, the symbolic link is traversed and the pointed-to files are retrieved. Currently, Wget does not traverse symbolic links to directories to download them recursively, though this feature may be added in the future.

    When --retr-symlinks=no is specified, the linked-to file is not downloaded. Instead, a matching symbolic link is created on the local filesystem. The pointed-to file will not be retrieved unless this recursive retrieval would have encountered it separately and downloaded it anyway. This option poses a security risk where a malicious FTP Server may cause Wget to write to files outside of the intended directories through a specially crafted .LISTING file.

    Všimněte si, že když je stahován soubor (ne adresář), který byl určen na příkazové řádce, nemá tato volba žádný význam. Symbolické odkazy jsou v takovém případě následovány vždy.

  Volby FTPS

--ftps-implicit
    This option tells Wget to use FTPS implicitly. Implicit FTPS consists of initializing SSL/TLS from the very beginning of the control connection. This option does not send an "AUTH TLS" command: it assumes the server speaks FTPS and directly starts an SSL/TLS connection. If the attempt is successful, the session continues just like regular FTPS ("PBSZ" and "PROT" are sent, etc.). Implicit FTPS is no longer a requirement for FTPS implementations, and thus many servers may not support it. If --ftps-implicit is passed and no explicit port number specified, the default port for implicit FTPS, 990, will be used, instead of the default port for the "normal" (explicit) FTPS which is the same as that of FTP, 21.

--no-ftps-resume-ssl
    Do not resume the SSL/TLS session in the data channel. When starting a data connection, Wget tries to resume the SSL/TLS session previously started in the control connection. SSL/TLS session resumption avoids performing an entirely new handshake by reusing the SSL/TLS parameters of a previous session. Typically, the FTPS servers want it that way, so Wget does this by default. Under rare circumstances however, one might want to start an entirely new SSL/TLS session in every data connection. This is what --no-ftps-resume-ssl is for.

--ftps-clear-data-connection
    All the data connections will be in plain text. Only the control connection will be under SSL/TLS. Wget will send a "PROT C" command to achieve this, which must be approved by the server.

--ftps-fallback-to-ftp
    Fall back to FTP if FTPS is not supported by the target server. For security reasons, this option is not asserted by default. The default behaviour is to exit with an error. If a server does not successfully reply to the initial "AUTH TLS" command, or in the case of implicit FTPS, if the initial SSL/TLS connection attempt is rejected, it is considered that such server does not support FTPS.

  Volby pro rekurzívní stahování

-r
--recursive
    Turn on recursive retrieving. The default maximum depth is 5.

-l hloubka
--level=hloubka
    Set the maximum number of subdirectories that Wget will recurse into to depth. In order to prevent one from accidentally downloading very large websites when using recursion this is limited to a depth of 5 by default, i.e., it will traverse at most 5 directories deep starting from the provided URL. Set -l 0 or -l inf for infinite recursion depth.

     wget -r -l 0 http://<site>/1.html

    Ideally, one would expect this to download just 1.html. but unfortunately this is not the case, because -l 0 is equivalent to -l inf---that is, infinite recursion. To download a single HTML page (or a handful of them), specify them all on the command line and leave away -r and -l. To download the essential items to view a single HTML page, see page requisites.

--delete-after
    Tato volba způsobí, že Wget smaže každý soubor poté, co jej stáhnul. To se hodí pro pre-fetching populárních stránek přes proxy, např.:

     wget -r -nd --delete-after http://whatever.com/~popular/page/

    Volby -r znamená rekurzívní stahování a -nd znamená nevytvářet adresáře.

    Všimněte si, že --delete-after maže soubory na lokálním počítači. Neposílá příkaz DELE vzdáleným FTP serverům. Také si všimněte, že když je zadáno --delete-after, je volba --convert-links ignorována, takže soubory .orig nejsou vůbec vytvářeny.

-k
--convert-links
    Jakmile je stáhnutí dokumentu dokončeno, konvertuje odkazy v něm obsažené, aby byly použitelné pro lokální prohlížení. To ovlivňuje nejen viditelné hypertextové odkazy, ale každou část dokumentu, která odkazuje na externí obsah, jako jsou vložené obrázky, odkazy na style sheets, odkazy na ne-HTML obsah atd.

    Každý odkaz bude změněn jedním ze dvou způsobů:

    •   Odkazy na soubory, které Wget stáhnul, budou změněny na relativní odkaz ukazující na stažený soubor.

        Příklad: pokud stažený soubor /foo/doc.html odkazuje na /bar/img.gif, který byl také stažen, bude odkaz v doc.html změněn, aby odkazoval na ../bar/img.gif. Tento druh konverze funguje spolehlivě pro libovolnou kombinaci adresářů.

    •   Odkazy na soubory, které Wget nestáhnul, budou změněny tak, aby zahrnovaly jméno hostitele a absolutní cestu k umístění, na které ukazují.

        Příklad: pokud stažený soubor /foo/doc.html odkazuje na /bar/img.gif (nebo na ../bar/img.gif), bude odkaz v doc.html změněn, aby ukazoval na http://hostname/bar/img.gif.

    Díky tomu lokální prohlížení spolehlivě funguje: pokud byl soubor stažen, odkazuje se na lokální soubor; pokud ne, odkazuje se na úplnou Internetovou adresu a ne na nefunkční odkaz. Také je možno přesunout celou staženou strukturu do jiného adresáře.

    Všimněte si, že Wget ví, které soubory byly staženy, až na konci stahování. Proto je veškerá práce prováděná volbou -k provedena až po stažení všech souborů.

--convert-file-only
    This option converts only the filename part of the URLs, leaving the rest of the URLs untouched. This filename part is sometimes referred to as the "basename", although we avoid that term here in order not to cause confusion.

    It works particularly well in conjunction with --adjust-extension, although this coupling is not enforced. It proves useful to populate Internet caches with files downloaded from different hosts.

    Example: if some link points to //foo.com/bar.cgi?xyz with --adjust-extension asserted and its local destination is intended to be ./foo.com/bar.cgi?xyz.css, then the link would be converted to //foo.com/bar.cgi?xyz.css. Note that only the filename part has been modified. The rest of the URL has been left untouched, including the net path ("//") which would otherwise be processed by Wget and converted to the effective scheme (ie. "http://").

-K
--backup-converted
    Při konverzi souborů zachová původní verzi s příponou .orig. Má vliv na chování podle volby -N.

-m
--mirror
    Zapne volby vhodné pro zrcadlení, tj. rekurzi, časové značky, nekonečnou hloubku rekurze a uchování výpisů FTP adresářů. Aktuálně je ekvivalentní -r -N -l inf --no-remove-listing.

-p
--page-requisites
    Tato volba způsobí, že Wget stáhne všechny soubory nezbytné pro správné zobrazení dané HTML stránky. To zahrnuje věci jako obrázky, zvuky a odkazované stylesheety.

    Normálně nejsou při stahování jediné HTML stránky dokumenty nezbytné pro její správné zobrazení stahovány. Volba -r spolu s -l může pomoci, ale protože Wget nerozlišuje mezi externími a inline dokumenty, obvykle zůstanou tzv. "leaf documents", kterým potřebné soubory chybí.

    Například dokument 1.html obsahuje tag "<IMG>", který odkazuje na 1.gif a tag "<A>" odkazující na externí dokument 2.html. Řekněme že 2.html je podobný, ale jeho obrázek je 2.gif aa odkazuje na 3.html. A tak to může jít dál a dál.

    Pokud je spuštěn příkaz:

     wget -r -l 2 http://<site>/1.html

    budou staženy soubory 1.html, 1.gif, 2.html, 2.gif a 3.html. Jak vidíte souboru 3.html chybí pro správné zobrazení obrázek 3.gif, protože Wget, aby zjistil konec rekurze, jednoduše počítá počet skoků (nejvýše 2) od 1.html. Nicméně příkaz:

     wget -r -l 2 -p http://<site>/1.html

    způsobí stažení všech uvedených souborů a soubor 3.gif, který 3.html vyžaduje. Podobně

     wget -r -l 1 -p http://<site>/1.html

    způsobí stažení 1.html, 1.gif, 2.html a 2.gif. To svádí k domněnce, že:

     wget -r -l 0 -p http://<site>/1.html

    stáhne pouze 1.html a 1.gif, ale tak tomu bohužel není, protože -l 0 je ekvivalentní -l inf---tj. nekonečné rekurzi. Pro stažení jediné HTML stránky (případně více, jsou-li určeny na příkazovém řádku nebo ve vstupním souboru s URL určeném -i) a všech jejích nezbytných součástí prostě vynechejte -r a -l:

     wget -p http://<site>/1.html

    Všimněte si, že Wget se bude chovat, jakoby bylo použito -r, ale bude stažena pouze jediná stránka a její nezbytné součásti. Odkazy z této stránky nebudou následovány. Pro zajímavost - autor dokumentace používá pro stažení jediné stránky včetně všech nezbytností (i pokud jsou na různých serverech), aby byla při lokálním prohlížení zobrazena bezchybně, ještě několik voleb navíc k -p:

     wget -E -H -k -K -p http://<site>/<document>

    Na závěr: je dobré vědět, že Wget považuje za odkaz na externí dokument jakékoliv URL určené v tagu "<A>", tagu "<AREA>" nebo tagu "<LINK>" s výjimkou "<LINK REL="stylesheet">".

--strict-comments
    Zapne striktní zpracování HTML komentářů. Výchozím chováním je ukončení komentářů při prvním výskytu -->.

    [přibližně] Podle specifikací jsou HTML komentáře vyjádřeny jako SGML deklarace. Deklarace je zvláštní značení, které začíná s <! a končí s >, jako např. <!DOCTYPE ...>, může obsahovat komentáře mezi párem oddělovačů --. HTML komentáře jsou "prázdné deklarace", SGML deklarace bez jakéhokoliv textu mimo komentář. Tudíž <!--foo--> je platný komentář, stejně jako <!--one-- --two-->, ale <!--1--2--> už nikoliv.

    [přibližně] Na druhou stranu většina lidí, kteří píší HTML, považují cokoliv vymezeného <!-- a --> za komentář, což není úplně to samé. Například zápis typu <!------------> je platným komentářem jen pokud je počet pomlček násobkem čtyř(!). Pokud není, sahá komentář technicky až po další --, což může být až na druhém konci dokumentu. Proto mnoho populárních prohlížečů úplně ignoruje specifikaci a implementuje to, co uživatelé očekávají: komentáře oddělené <!-- a -->.

    Do verze 1.9 interpretoval Wget komentáře striktně, což mělo za důsledek chybějící odkazy v mnoha www stránkách, které se v prohlížečích zobrazovaly korektně, ale bohužel neobsahovaly vyhovující komentáře. Od verze 1.9 včetně se Wget připojil ke klientům implementujícím "naivní" komentáře, končící při prvním výskytu -->.

    Pokud chcete z jakéhokoliv důvodu použít striktní zpracování komentářů, použijte tuto volbu.

  Volby pro rekurzivní Accept/Reject

-A acclist --accept acclist
-R rejlist --reject rejlist
    Specify comma-separated lists of file name suffixes or patterns to accept or reject. Note that if any of the wildcard characters, *, ?, [ or ], appear in an element of acclist or rejlist, it will be treated as a pattern, rather than a suffix. In this case, you have to enclose the pattern into quotes to prevent your shell from expanding it, like in -A "*.mp3" or -A '*.mp3'.

--accept-regex urlregex
--reject-regex urlregex
    Specify a regular expression to accept or reject the complete URL.

--regex-type regextype
    Specify the regular expression type. Possible types are posix or pcre. Note that to be able to use pcre type, wget has to be compiled with libpcre support.

-D seznam-domén
--domains=seznam-domén
    Určí domény, které mají být následovány. seznam-domén je seznam domén oddělovaných čárkou. Všimněte si, že volba -H se tím nezapne.

--exclude-domains seznam-domén
    Určí domény, které nemají být následovány.

--follow-ftp
    Následovat FTP odkazy z HTML dokumentů. Bez této volby bude Wget všechny FTP odkazy ignorovat.

--follow-tags=seznam
    Wget má interní tabulku párů HTML tagů / atributů, které bere v úvahu při hledání odkazovaných dokumentů během rekurzivního stahování. Pokud chce uživatel brát v úvahu pouze podmnožinu těchto tagů, měl by je určit touto volbou v seznamu s hodnotami oddělenými čárkou.

--ignore-tags=seznam
    Opak k volbě --follow-tags. Pro přeskočení některých HTML tagů při rekurzivním vyhledávání dokumentů ke stažení je zadejte v seznamu s hodnotami oddělovanými čárkou.

    Kdysi byla tato volba nejlepší možností pro stažení jediné stránky a jejích součástí - v příkazu jako:

     wget --ignore-tags=a,area -H -k -K -r
    http://<site>/<document>

    Nicméně autor této volby narazil na stránku s tagy typu "<LINK REL="home" HREF="/">" a došlo mu, že určení ignorovaných tagů nestačí. Člověk prostě nemůže říct Wgetu, aby ignoroval "<LINK>", protože potom se nestáhnou stylesheets. Nyní je nejlepší možností pro stažení jediné stránky a jejích součástí zvláštní volba --page-requisites.

--ignore-case
    Ignore case when matching files and directories. This influences the behavior of -R, -A, -I, and -X options, as well as globbing implemented when downloading from FTP sites. For example, with this option, -A "*.txt" will match file1.txt, but also file2.TXT, file3.TxT, and so on. The quotes in the example are to prevent the shell from expanding the pattern.

-H
--span-hosts
    Při rekurzívním stahování povolí spanning across hosts.

-L
--relative
    Bude následovat pouze relativní odkazy. Hodí se pro stažení určité homepage bez nerelevantních věcí, i kdyby byly u stejného hostitele.

-I seznam
--include-directories=seznam
    Určí čárkou oddělovaný seznam adresářů, které mají být při stahování následovány. Jednotlivé položky seznamu mohou obsahovat zástupné znaky (žolíky).

-X seznam
--exclude-directories=seznam
    Určí čárkou oddělovaný seznam adresářů, které nemají být při stahování následovány. Jednotlivé položky seznamu mohou obsahovat zástupné znaky (žolíky).

-np
--no-parent
    Při rekurzivním stahování nikdy nevstoupí do rodičovského adresáře. To je užitečné, neboť garantuje, že budou staženy pouze soubory pod určitou úrovní.

PROSTŘEDÍ
Wget supports proxies for both HTTP and FTP retrievals. The standard way to specify proxy location, which Wget recognizes, is using the following environment variables:

http_proxy
https_proxy
    If set, the http_proxy and https_proxy variables should contain the URLs of the proxies for HTTP and HTTPS connections respectively.

ftp_proxy
    This variable should contain the URL of the proxy for FTP connections. It is quite common that http_proxy and ftp_proxy are set to the same URL.

no_proxy
    This variable should contain a comma-separated list of domain extensions proxy should not be used for. For instance, if the value of no_proxy is .mit.edu, proxy will not be used to retrieve documents from MIT.

EXIT STATUS
Wget may return one of several error codes if it encounters problems.

0   No problems occurred.

1   Generic error code.

2   Parse error---for instance, when parsing command-line options, the .wgetrc or .netrc...

3   File I/O error.

4   Network failure.

5   SSL verification failure.

6   Username/password authentication failure.

7   Protocol errors.

8   Server issued an error response.

With the exceptions of 0 and 1, the lower-numbered exit codes take precedence over higher-numbered ones, when multiple types of errors are encountered.

In versions of Wget prior to 1.12, Wget's exit status tended to be unhelpful and inconsistent. Recursive downloads would virtually always return 0 (success), regardless of any issues encountered, and non-recursive fetches only returned the status corresponding to the most recently-attempted download.

SOUBORY

/usr/local/etc/wgetrc
    Výchozí umístění globálního startovacího souboru.

.wgetrc
    Startovací soubor uživatele.

CHYBY
You are welcome to submit bug reports via the GNU Wget bug tracker (see <https://savannah.gnu.org/bugs/?func=additem&group=wget>) or to our mailing list <bug-wget@gnu.org>.

Visit <https://lists.gnu.org/mailman/listinfo/bug-wget> to get more info (how to subscribe, list archives, ...).

Před zasláním hlášení prosím postupujte podle následujících pravidel.

1.  Please try to ascertain that the behavior you see really is a bug. If Wget crashes, it's a bug. If Wget does not behave as documented, it's a bug. If things work strange, but you are not sure about the way they are supposed to work, it might well be a bug, but you might want to double-check the documentation and the mailing lists.

2.  Zkuste chybu zopakovat za co možná nejjednodušších okolností. Např. pokud Wget spadne při stahování wget -rl0 -kKE -t5 --no-proxy http://example.com -o /tmp/log, zkuste, jestli lze pád reprodukovat a pokud ano, zda k němu dojde při použití menšího počtu voleb. Můžete také spustit stahování na stránce, kde spadl, pro případ, že by pád způsobovala určitá stránka.

    Také, ačkoliv mne bude obsah vašeho souboru .wgetrc určitě zajímat, před tím, než mi jej přiložíte k hlášení, vyzkoušejte, jestli se chyba objeví i když jej odstraníte z dosahu. Relevantní části .wgetrc přiložte pouze pokud se ukáže, že nastavení .wgetrc mají na chybu vliv.

3.  Prosím spusťte Wget s volbou -d a pošlete výsledný výstup (nebo jeho relevantní části). Pokud byl Wget zkompilován bez podpory ladícího výstupu, překompilujte jej---hledání chyb je tak daleko jednodušší.

    Pozn.: Před odesláním se prosím ujistěte, že jsou z ladícího výstupu odstraněny veškeré potenciálně citlivé informace. Volba "-d" je nijak nevyhledává, ale záznam bude obsahovat téměř úplný přepis komunikace Wgetu se serverem, což může zahrnovat hesla a části stahovaných dat. Protože chyby jsou veřejně archivovány, můžete předpokládat, že všechna chybová hlášení jsou veřejná.

4.  Pokud Wget spadl, zkuste ho spustit v debuggeru, např. "gdb `which wget` core" a pro získání backtrace napište "where". To nemusí fungovat v případě, že administrátor zakázal soubory core, ale neškodí to zkusit.

DALŠÍ INFORMACE
This is not the complete manual for GNU Wget. For more complete information, including more detailed explanations of some of the options, and a number of commands available for use with .wgetrc files and the -e option, see the GNU Info entry for wget.

Also see wget2(1), the updated version of GNU Wget with even better support for recursive downloading and modern protocols like HTTP/2.

AUTOR
Originally written by Hrvoje Nikšić <hniksic@xemacs.org>. Currently maintained by Darshit Shah <darnir@gnu.org> and Tim Rühsen <tim.ruehsen@gmx.de>.

COPYRIGHT
Copyright (c) 1996--2011, 2015, 2018--2021 Free Software Foundation, Inc.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, with no Front-Cover Texts, and with no Back-Cover Texts. A copy of the license is included in the section entitled "GNU Free Documentation License".

PŘEKLAD
Překlad této příručky do španělštiny vytvořili Martin Kačena <martin.kacena@pslib.cz> Tento překlad je bezplatná dokumentace; Přečtěte si GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) nebo novější ohledně podmínek autorských práv. Neexistuje ŽÁDNÁ ODPOVĚDNOST. Pokud narazíte na nějaké chyby v překladu této příručky, pošlete e-mail na adresu translation-team-cs@lists.sourceforge.net.